import o from "prop-types";
const n = o.shape({
  appLogo: o.node,
  appName: o.string,
  theme: o.shape({
    background: o.string
  }),
  enableConnect: o.bool,
  enableLocale: o.bool,
  navigation: o.arrayOf(
    o.shape({
      title: o.oneOfType([o.string, o.object]),
      link: o.oneOfType([o.string, o.object]),
      icon: o.string,
      items: o.arrayOf(
        o.shape({
          title: o.oneOfType([o.string, o.object]),
          link: o.oneOfType([o.string, o.object])
        })
      )
    })
  )
}), t = o.shape({
  showText: o.bool,
  showRole: o.bool,
  switchDid: o.bool,
  switchProfile: o.bool,
  switchPassport: o.bool,
  disableLogout: o.bool,
  onLogin: o.func,
  onLogout: o.func,
  onSwitchDid: o.func,
  onSwitchProfile: o.func,
  onSwitchPassport: o.func,
  menu: o.array,
  menuRender: o.func,
  dark: o.bool,
  size: o.number
});
export {
  n as BlockletMetaProps,
  t as SessionManagerProps
};
